/*
 * @(#)RecordingsTableModel.java	1.1 06/25/04
 *
 * McGill Univarsity
 */

package bodhidharma;

import javax.swing.table.DefaultTableModel;
import bodhidharma.utilities.NonEditableTableModel;

/**
 * Part of the Bodhidharma automatic music classification
 * project. This is the table model used by the
 * <code>RecordingsPanel</code> frame.
 *
 * <p>Makes all cells non-editable except those in the last column.
 *
 * @author Cory McKay
 * @see	RecordingsPanel
 * @see	NonEditableTableModel
 * @see DefaultTableModel
 * @see JTable
 */
 public class RecordingsTableModel
	extends NonEditableTableModel
{
	/* CONSTRUCTOR *************************************************************/


	/**
	 * Same constructor as <code>DefaultTableModel</code>.
	 */
	public RecordingsTableModel(Object[] columnNames, int rows)
	{
		super(columnNames, rows);
	}


	/* PUBLIC METHODS **********************************************************/


	/**
	 * Returns false for all cells but those in the last column.
	 * Overrides the <code>DefaultTableModel</code> method.
	 */
	public boolean isCellEditable(int row, int column)
	{
		if (column == 5)
			return true;
		else
			return false;
	}
}