/*
 * @(#)FileFilterXML.java	1.1 06/25/04
 *
 * McGill University
 */


package bodhidharma.utilities;

import java.io.File;
import javax.swing.filechooser.FileFilter;


/**
 * A file filter for the <code>JFileChooser</code> class.
 * Implements the two methods of the <code>FileFilter</code>
 * abstract class.
 *
 * <p>Filters all files except directories and files that
 * end with .xml (case is ignored).
 * 
 * @author	Cory McKay
 * @see		FileFilter
 */
public class FileFilterXML
	extends FileFilter
{
	public boolean accept(File f)
	{
		return f.getName().toLowerCase().endsWith(".xml") || f.isDirectory();
	}

	public String getDescription()
	{
		return "XML File";
	}
}
