/*
 * @(#)ProcessResultsReceiver.java	1.1 06/25/04
 *
 * McGill Univarsity
 */

package bodhidharma.utilities;

import java.awt.*;
import javax.swing.*;

/**
 * An abstract class for use with <code>ProgressBarDialog</code> objects.
 * Classes implementing this class are <code>JFrames</code> that contain
 * an <code>acceptProcessingResults</code> that causes the results of
 * a long processing task monitored by a <code>ProgressBarDialog</code> object
 * to be implemented.
 *
 * @author	Cory McKay
 * @see		ProgressBarDialog
 * @see		JFrame
 */
public abstract class ProcessResultsReceiver
	extends JPanel
{
	/**
	 * Causes the results of processing to be implemented.
	 */
	public	abstract	void	acceptProcessingResults();
}