/*
 * @(#)HelpDialog.java	1.1 06/25/04
 *
 * McGill Univarsity
 */

package bodhidharma;

import java.io.File;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * Part of the Bodhidharma automatic music classification project. Allows users to read
 * the software manual.
 */
class HelpDialog
	extends JDialog
{
	/* FIELDS ******************************************************************/


	// Where the actual help data is displayed
	private JEditorPane displayPane; 


	/* CONSTRUCTOR *************************************************************/


	/**
	 * Set up the dialog box and display the default help file.
	 */
	public HelpDialog()
	{
		// Give the dialog box its owner, its size, its title and make it non-modal
		super();
		setTitle("Help");
		setModal(false);
		setSize(630, 572);

		// Set up the display panel and make it load the index page
		displayPane = new JEditorPane();
		displayPane.setEditable(false);
		reset_display();

		// Enable the loading of other help pages
		displayPane.addHyperlinkListener(new HyperlinkListener()
		{
			public void	hyperlinkUpdate(HyperlinkEvent event)
			{
				if (event.getEventType() == HyperlinkEvent.EventType.ACTIVATED)
				{
					try	{displayPane.setPage(event.getURL());}
					catch (Exception f) {displayPane.setText("Unable to find requested help page.");}
				}
			}
		});

		// Set up an Index button to go to the index page
		JButton index = new JButton("Index");
		index.addActionListener(new
		ActionListener()
		{
			public void actionPerformed(ActionEvent evt)
			{
				reset_display();;
			}
		});

		// Set up an OK button to close the dialog box
		JButton ok = new JButton("OK");
		ok.addActionListener(new
		ActionListener()
		{
			public void actionPerformed(ActionEvent evt)
			{
				setVisible(false);
			}
		});

		// Display the screen components
		Container contentPane = getContentPane();
		contentPane.add(new JScrollPane(displayPane), BorderLayout.CENTER);
		JPanel panel = new JPanel();
		panel.add(index);
		panel.add(ok);
		contentPane.add(panel, BorderLayout.SOUTH);
	}


	/* PRIVATE METHODS *********************************************************/


	// Display the default help page
	private void reset_display()
	{
		try { displayPane.setPage( new String("file:" + "." + File.separator + "ProgramFiles" + File.separator
		                           + "Help" + File.separator + "index.html")); }
		catch (Exception e) {displayPane.setText("Unable to find the main help page.");}
	}
}