/*
 * @(#)InputNode.java	1.1 06/25/04
 *
 * McGill University
 */

package bodhidharma.classifiers.feedforward_neural_networks;

/**
 * Objects of this class represent the inputs to a neural network. Although these objects
 * are not strictly necessary, they are present for the sake of completeness of the metaphor.
 * 
 * @author Cory McKay
 */
public class InputNode
{
	/* FIELDS ******************************************************************/


	private double current_input_value;	// the input value currently held at this node


	/* CONSTRUCTOR *************************************************************/


	/**
	 * Instantiate the InputNode with the given parameter.
	 */
	public InputNode(double initial_value)
	{
		current_input_value = initial_value;
	}


	/* PUBLIC METHODS **********************************************************/


	/**
	 * Set the current value of the input
	 */
	public void set_input(double input)
	{
		current_input_value = input;
	}


	/**
	 * Get the current value of the iput
	 */
	public double get_current_value()
	{
		return current_input_value;
	}


	/**
	 * Returns a string containing the current inputs ot the node.
	 * Used for debugging purposes.
	 */
	public String output_values()
	{
		return new String("Value: " + current_input_value + "\n");
	}
}