/*
 * @(#)InstrumentGroupTester.java	1.0 01/06/04
 *
 * McGill University
 */

package bodhidharma.midi_parsing.one_dimensional_features;

import bodhidharma.midi_parsing.*;

/**
 * A holder class for the static calculateInstrumentGroupFrequency method.
 * 
 * @author	Cory McKay
 */
public class InstrumentGroupTester
{
	/**
	 * Returns the fraction of Note Ons in the recording detailed by the
	 * recording_info parameter that are played by one of the General MIDI
	 * patches included in the instruments parameter.
	 */
	public static double calculateInstrumentGroupFrequency(int[] instruments, MIDIIntermediateRepresentations recording_info)
	{
		int notes_played = 0;
		for (int i = 0; i < instruments.length; i++)
			notes_played += recording_info.pitched_instrumentation_frequencies[ instruments[i] ][0];

		return ((double) notes_played) / ((double) recording_info.total_number_notes);
	}
}